Package org.eclipse.draw2d.graph

# Class EdgeList

java.lang.Object
java.util.AbstractCollection<Edge>
java.util.AbstractList<Edge>
java.util.ArrayList<Edge>
org.eclipse.draw2d.graph.EdgeList

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<Edge>`, `Collection<Edge>`, `List<Edge>`, `RandomAccess`, `SequencedCollection<Edge>`

public class EdgeList extends ArrayList<Edge>
A list of `Edge`s.

Since:
  2.1.2
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

## Constructor Summary

Constructors
Constructor
Description
`EdgeList()`

## Method Summary

Modifier and Type
Method
Description
`Edge`
`getEdge(int index)`
Deprecated, for removal: This API element is subject to removal in a future version.
use Use `ArrayList.get(int)` instead.
`int`
`getSlack()`
For internal use only.
`int`
`getSourceIndex(int i)`
For intrenal use only.
`int`
`getTargetIndex(int i)`
For internal use only.
`int`
`getWeight()`
For internal use only.
`boolean`
`isCompletelyFlagged()`
For internal use only
`void`
`resetFlags(boolean resetTree)`
For internal use only.
`void`
`setFlags(boolean value)`
For internal use only.

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, addFirst, addLast, clear, clone, contains, ensureCapacity, equals, forEach, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeIf, removeLast, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, stream, toArray`

### Methods inherited from interface java.util.List

`containsAll, reversed`

## Constructor Details

### EdgeList

public EdgeList()

## Method Details

### getEdge

@Deprecated(since="3.14", forRemoval=true) public Edge getEdge(int index)
Deprecated, for removal: This API element is subject to removal in a future version.
use Use `ArrayList.get(int)` instead.
Returns the edge for the given index.

Parameters:
  `index` - the index of the requested edge
Returns:
  the edge at the given index

### getSourceIndex

public int getSourceIndex(int i)
For intrenal use only.

Parameters:
  `i` - and index
Returns:
  a value

### getTargetIndex

public int getTargetIndex(int i)
For internal use only.

Parameters:
  `i` - an index
Returns:
  a value

### getSlack

public int getSlack()
For internal use only.

Returns:
  the minimum slack for this edge list

### getWeight

public int getWeight()
For internal use only.

Returns:
  the total weight of all edges

### isCompletelyFlagged

public boolean isCompletelyFlagged()
For internal use only

Returns:
  `true` if completely flagged

### resetFlags

public void resetFlags(boolean resetTree)
For internal use only. Resets all flags.

Parameters:
  `resetTree` - internal

### setFlags

public void setFlags(boolean value)
For internal use only.

Parameters:
  `value` - value